Name:		x11-driver-video-viaarena
Version:	20070611
Release:	%mkrel 5
Summary:	Open Source VIA video driver
Group:		System/X11
URL:		http://www.viarena.com
# Source is in an 'experimental/compilable' state, based on source
# at http://www.viaarena.com/Driver/vt3336-3364xorg40079-kernel-src_20070611.tgz
# Only 2d support, and only compiled the opensource portions, dependancy on
# closed source libraries has been removed from this package.
Source:		xf86-video-viaarena.tar.bz2
License:	MIT
BuildRoot:	%{_tmppath}/%{name}-root

BuildRequires:	libdrm-devel >= 2.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-server-devel >= 1.0.1
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	GL-devel

%description
Experimental Open Source VIA video driver

%prep
%setup -q -n xf86-video-viaarena

%build
./autogen.sh
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
mv -f %{buildroot}%{_libdir}/xorg/modules/drivers/via{,arena}_drv.la
mv -f %{buildroot}%{_libdir}/xorg/modules/drivers/via{,arena}_drv.so
mv -f %{buildroot}%{_mandir}/man4/via{,arena}.4

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/viaarena_drv.la
%{_libdir}/xorg/modules/drivers/viaarena_drv.so
%{_mandir}/man4/viaarena.4.*


%changelog
* Mon Sep 10 2007 Paulo Andrade <pcpa@mandriva.com.br> 20070611-5mdv2008.0
+ Revision: 84276
- Increasing release yet again to check if build system working now...
- Trying again due to hdlist problem, increasing release again.
- Update release
- Rename driver to viaarena. Fix COPYING file, remove some unused files.

  + Thierry Vignaud <tvignaud@mandriva.com>
    - cleanup

* Sun Sep 09 2007 Adam Williamson <awilliamson@mandriva.com> 20070611-2mdv2008.0
+ Revision: 83168
- fix manpage renaming
- complete renaming
- doesn't conflict with x11-driver-video-via any more
- rename actual driver to viaarena
- minor spec clean

* Wed Sep 05 2007 Paulo Andrade <pcpa@mandriva.com.br> 20070611-1mdv2008.0
+ Revision: 80439
- Add also GL-devel to BuildRequires.
- Add BuildRequires do libdrm (not really required) for the "only opensource" portion, but required for next steps.
- Import x11-driver-video-viaarena

